#! /usr/bin/python
# -*- HatTrick Script v0.02 -*-
#Written by Kevin Keller. Copyright 2010
#This program will generate random topics from either MCAT category(physical science or biological science) lists and display them on-screen. 

import random #calls random number generator.

x = 1;
while x == 1:
	print "Hat Trick Topics Picker"
	print "This program will automatically generate topics for you to use in studying for the MCAT using the "
	print "HatTrack method created by SN2ed. SN2ed currently recommends doing two to three topics per session."
	print ""
	print "Choose one of the following lists at the prompt below."
	print "1: HELP - HatTrick Instructions and Example"
	print "2: Biological Siences - Biology and Organic Chemistry"
	print "3: Physical Sciences - Physics and General Chemistry"
	print ""
	x = int(raw_input("Enter the number of the list you wish to test on: ")) #promts the user to choose a list

	#Instructions and Example loop
	if x == 1:
		print "Hat Trick Instructions and Example:"
		print "(Taken from SN2ed post Breaking Down the MCAT on SDN)"	
		print ""
		print "Get a hat and write every single MCAT PS and BS topic onto a piece of paper. "
		print "(Programmer's Note: You won't need to do this because you have this wonderful program now!) "
		print "Then, when you're ready to practice PS, put all the PS topics into the hat. Draw two or three "
		print "pieces of paper and connect the topics together. In addition to connecting them, come up with "
		print "what a passage might look like and what kind of questions you might get. If you can't do this, "
		print "go back and review each of the three sections. Rinse and repeat."
		print ""
		print "The hat trick days are important because they aid you in synthesizing the various topics together. "
		print "On the MCAT, you utilize this skill for every passage because MCAT passages combine topics. "
		print "Furthermore, you may also discover content weaknesses that you will need to go over. "
		print ""	
		print "Here's a rough example using Distillation, Mendelian Genetics, and Lipids:"
		print ""
		print "You are studying a Mendelian inherited recessive genetic defect of a lipid receptor. A defect "
		print "in this receptor prevents the uptake lipids in the body and can cause several negative effects, "
		print "such as, atherosclerosis due to fat build-up in arterial walls."
		print ""
		print "To test for the concentration of lipids in a patient's blood, you design a distillation experiment. "
		print ""
		print "1. Given a couple where the male is Ll and the female is ll, what is the chance the child will have "
		print " the defect?"
		print ""
		print "2. What kind of solvent should you use to test the concentration of lipids?"
		print ""
		print "3. What type patient would have the highest boiling point elevation?"
		print ""
		print "4. If the trait exhibited incomplete dominance, which patient is likely to be Ll? Boiling point "
		print "information here."
		print ""
		print "5. Which cell component requires lipids? "
		print ""
		print "END OF INSTRUCTIONS"
		print ""
		print ""

#Biological Sciences loop
if x == 2:
	topic_count = int(raw_input("How many topics would you like generated(1,2,3,...)? ")) #prompts the user to pick the number of topics they want generated
	limit = 0; #sets limit counter to zero.
	print ""
	print "Biological Sciences List"
	while limit < topic_count:
		#creates a list for the list of main topics in biological sciences
		main_topics = ['MOLECULAR BIOLOGY: ENZYMES AND METABOLISM','MOLECULAR BIOLOGY: DNA AND PROTEIN SYNTHESIS','MOLECULAR BIOLOGY: EUKARYOTES','MICROBIOLOGY','GENERALIZED EUKARYOTIC CELL','SPECIALIZED EUKARYOTIC CELLS AND TISSUES','NERVOUS AND ENDOCRINE SYSTEMS','CIRCULATORY, LYMPHATIC, AND IMMUNE SYSTEMS','DIGESTIVE AND EXCRETORY SYSTEMS','MUSCLE AND SKELETAL SYSTEMS','RESPIRATORY SYSTEM','SKIN SYSTEM','REPRODUCTIVE SYSTEM AND DEVELOPMENT','GENETICS','EVOLUTION','THE COVALENT BOND','MOLECULAR STRUCTURE AND SPECTRA','SEPARATIONS AND PURIFICATIONS','HYDROCARBONS','OXYGEN-CONTAINING COMPOUNDS','AMINES','BIOLOGICAL MOLECULES'] 
		main_topic_a = int(random.randrange(0,22)) #gets a random number for first main topic btwn 0-21
		if main_topic_a == 0:
			sub_topics = ['Enzyme Structure and Function','Control of Enzyme Activity','Basic Metabolism'] #creates a list for the list of sub topics
			sub_topic_a = int(random.randrange(0,3)) #gets a random number for first sub topic btwn 0-2
			if sub_topic_a == 0:
				specific_topics = ['Function of enzymes in catalyzing biological reactions','Reduction of activation energy','Substrates and enzyme specificity'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,3)) #gets a random number for first sub topic btwn 0-2
			elif sub_topic_a == 1:
				specific_topics = ['Feedback inhibition','Competitive inhibition','Noncompetitive inhibition']	#creates a list of specific topics
				specific_topic_a = int(random.randrange(0,3)) #gets a random number for first sub topic btwn 0-2
			elif sub_topic_a == 2:
				specific_topics = ['Glycolysis (anaerobic and aerobic, substrates and products)','Krebs cycle (substrates and products, general features of the pathway)','Electron transport chain and oxidative phosphorylation (substrates and products, general features of the pathway)','Metabolism of fats and proteins'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,4)) #gets a random number for first sub topic btwn 0-3

		elif main_topic_a == 1:
			sub_topics = ['DNA Structure and Function','DNA Replication','Repair of DNA','Recombinant DNA Techniques','Genetic Code','Transcription','Translation'] #creates a list for the list of sub topics
			sub_topic_a = int(random.randrange(0,7)) #gets a random number for first sub topic btwn 0-6
			if sub_topic_a == 0:
				specific_topics = ['Double-helix structure','DNA composition (purine and pyrimidine bases, deoxyribose, phosphate)','Base-pairing specificity, concept of complementarity','Function in transmission of genetic information'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,4)) #gets a random number for first sub topic btwn 0-3
			elif sub_topic_a == 1:
				specific_topics = ['Mechanism of replication (separation of strands, specific coupling of free nucleic acids, DNA polymerase, primer required)','Semiconservative nature of replication'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,2)) #gets a random number for first sub topic btwn 0-1
			elif sub_topic_a == 2:
				specific_topics = ['Repair during replication','Repair of mutations'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,2)) #gets a random number for first sub topic btwn 0-1
			elif sub_topic_a == 3:
				specific_topics = ['Restriction enzymes','Hybridization','Gene cloning','PCR'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,4)) #gets a random number for first sub topic btwn 0-3	
			elif sub_topic_a == 4:
				specific_topics = ['Typical information flow (DNA to RNA to protein)','Codon-anticodon relationship, degenerate code','Missense and nonsense codons','Initiation and termination codons (function, codon sequences)'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,4)) #gets a random number for first sub topic btwn 0-3
			elif sub_topic_a == 5:
				specific_topics = ['mRNA composition and structure (RNA nucleotides, 5-prime cap, poly-A tail)','tRNA and rRNA composition and structure (e.g., RNA nucleotides)','Mechanism of transcription (RNA polymerase, promoters, primer not required)'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,3)) #gets a random number for first sub topic btwn 0-2
			elif sub_topic_a == 6:
				specific_topics = ['Roles of mRNA, tRNA, and rRNA; RNA base-pairing specificity','Role and structure of ribosomes'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,2)) #gets a random number for first sub topic btwn 0-1		

		elif main_topic_a == 2:
			sub_topics = ['Eukaryotic Chromosome Organization','Control of Gene Expression in Eukaryotes'] #creates a list for the list of sub topics
			sub_topic_a = int(random.randrange(0,2)) #gets a random number for first sub topic btwn 0-1
			if sub_topic_a == 0:
				specific_topics = ['Chromosomal proteins','Telomeres, centromeres'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,2)) #gets a random number for first sub topic btwn 0-1
			elif sub_topic_a == 1:
				specific_topics = ['Transcription regulation','DNA binding proteins, transcription factors','Cancer as a failure of normal cellular controls, oncogenes, tumor suppressor genes','Posttranscriptional control, basic concept of splicing (introns, exons)']	#creates a list of specific topics
				specific_topic_a = int(random.randrange(0,4)) #gets a random number for first sub topic btwn 0-3

		elif main_topic_a == 3:
			sub_topics = ['Fungi','Virus Structure','Viral Life Cycle','Prokaryotic Cell: Bacteria Structure','Prokaryotic Cell: Growth and Physiology','Prokaryotic Cell: Genetics'] #creates a list for the list of sub topics
			sub_topic_a = int(random.randrange(0,6)) #gets a random number for first sub topic btwn 0-5
			if sub_topic_a == 0:
				specific_topics = ['General characteristics','General aspects of life cycle'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,2)) #gets a random number for first sub topic btwn 0-1
			elif sub_topic_a == 1:
				specific_topics = ['General structural characteristics (nucleic acid and protein, enveloped and nonenveloped)','Lack of organelles and nucleus','Structural aspects of typical bacteriophage','Genomic content (RNA or DNA)','Size relative to bacteria and eukaryotic cells']	#creates a list of specific topics
				specific_topic_a = int(random.randrange(0,5)) #gets a random number for first sub topic btwn 0-4
			elif sub_topic_a == 2:
				specific_topics = ['Self-replicating biological units that must reproduce within specific host cell','Generalized phage and animal virus life cycles: attachment to host cell, penetration of cell membrane or cell wall, entry of viral material','Generalized phage and animal virus life cycles:  use of host synthetic mechanisms to replicate viral components','Generalized phage and animal virus life cycles: self-assembly and release of new viral particles','Retrovirus life cycle, integration into host DNA, reverse transcriptase','Transduction, transfer of genetic material by viruses'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,6)) #gets a random number for first sub topic btwn 0-5
			elif sub_topic_a == 3:
				specific_topics = ['Lack of nuclear membrane and mitotic apparatus','Lack of typical eukaryotic organelles','Major classifications: bacilli (rod-shaped), spirilli (spiral-shaped), cocci (spherical), eubacteria, archaebacteria','Presence of cell wall','Flagellar propulsion'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,5)) #gets a random number for first sub topic btwn 0-4
			elif sub_topic_a == 4:
				specific_topics = ['Reproduction by fission','High degree of genetic adaptability, acquisition of antibiotic resistance','Exponential growth','Existence of anaerobic and aerobic variants'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,4)) #gets a random number for first sub topic btwn 0-3
			elif sub_topic_a == 5:
				specific_topics = ['Existence of plasmids, extragenomic DNA, transfer by conjugation','Transformation (incorporation into bacterial genome of DNA fragments from external medium)','Regulation of gene expression, coupling of transcription and translation'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,3)) #gets a random number for first sub topic btwn 0-2

		elif main_topic_a == 4:
			sub_topics = ['Nucleus and Other Defining Characteristics','Membrane-bound Organelles','Plasma Membrane','Cytoskeleton','Cell Cycle and Mitosis','Apoptosis (Programmed Cell Death)'] #creates a list for the list of sub topics
			sub_topic_a = int(random.randrange(0,6)) #gets a random number for first sub topic btwn 0-5
			if sub_topic_a == 0:
				specific_topics = ['Defining characteristics (membrane-bound nucleus, presence of organelles, mitotic division)','Nucleus (compartmentalization, storage of genetic information)','Nucleolus (location, function)','Nuclear envelope, nuclear pores'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,4)) #gets a random number for first sub topic btwn 0-3
			elif sub_topic_a == 1:
				specific_topics = ['Mitochondria: site of ATP production','Mitochondria: self-replication; have own DNA and ribosomes','Mitochondria: inner and outer membrane','Lysosomes (vesicles containing hydrolytic enzymes)','Endoplasmic reticulum: rough (RER) and smooth (SER)','Endoplasmic reticulum: RER (site of ribosomes)','Endoplasmic reticulum: role in membrane biosynthesis: SER (lipids), RER (transmembrane proteins)','Endoplasmic reticulum: RER (role in biosynthesis of transmembrane and secreted proteins that cotranslationally targeted to RER by signal sequence)','Golgi apparatus (general structure; role in packaging, secretion, and modification of glycoprotein carbohydrates)']	#creates a list of specific topics
				specific_topic_a = int(random.randrange(0,9)) #gets a random number for first sub topic btwn 0-8
			elif sub_topic_a == 2:
				specific_topics = ['General function in cell containment','Protein and lipid components, fluid mosaic model','Osmosis','Passive and active transport','Membrane channels','Sodium-potassium pump','Membrane receptors, cell signaling pathways, second messengers','Membrane potential','Exocytosis and endocytosis','Cell-cell communication (general concepts of cellular adhesion): gap junctions','Cell-cell communication (general concepts of cellular adhesion): tight junctions','Cell-cell communication (general concepts of cellular adhesion): desmosomes'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,12)) #gets a random number for first sub topic btwn 0-11
			elif sub_topic_a == 3:
				specific_topics = ['General function in cell support and movement','Microfilaments (composition; role in cleavage and contractility)','Microtubules (composition; role in support and transport)','Intermediate filaments (role in support)','Composition and function of eukaryotic cilia and flagella','Centrioles, microtubule organizing centers'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,6)) #gets a random number for first sub topic btwn 0-5
			elif sub_topic_a == 4:
				specific_topics = ['Interphase and mitosis (prophase, metaphase, anaphase, telophase)','Mitotic structures and processes: centrioles, asters, spindles','Mitotic structures and processes: chromatids, centromeres, kinetochores','Mitotic structures and processes: nuclear membrane breakdown and reorganization','Mitotic structures and processes: mechanisms of chromosome movement','Phases of cell cycle (G0, G1, S, G2, M)','Growth arrest'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,7)) #gets a random number for first sub topic btwn 0-6
			elif sub_topic_a == 5:
				specific_topics = ['Apoptosis'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,1)) #gets a random number for first sub topic btwn 0-0

		elif main_topic_a == 5:
			sub_topics = ['Nerve Cell/Neural','Muscle Cell/Contractile','Other Specialized Cell Types'] #creates a list for the list of sub topics
			sub_topic_a = int(random.randrange(0,3)) #gets a random number for first sub topic btwn 0-2
			if sub_topic_a == 0:
				specific_topics = ['Cell body (site of nucleus and organelles)','Axon (structure, function)','Dendrites (structure, function)','Myelin sheath, Schwann cells, oligodendrocytes, insulation of axon','Nodes of Ranvier (role in propagation of nerve impulse along axon)','Synapse (site of impulse propagation between cells)','Synaptic activity: fatigue','Synaptic activity: transmitter molecules','Synaptic activity: synaptic knobs','Synaptic activity: propagation between cells without resistance loss','Resting potential (electrochemical gradient)','Action potential: threshold, all-or-none','Action potential: sodium-potassium pump','Excitatory and inhibitory nerve fibers (summation, frequency of firing)'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,14)) #gets a random number for first sub topic btwn 0-13
			elif sub_topic_a == 1:
				specific_topics = ['Abundant mitochondria in red muscle cells (ATP source)','Organization of contractile elements (actin and myosin filaments, cross bridges, sliding filament model)','Calcium regulation of contraction, sarcoplasmic reticulum','Sarcomeres (I and A bands, M and Z lines, H zone - general structure only)','Presence of troponin and tropomyosin'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,5)) #gets a random number for first sub topic btwn 0-4
			elif sub_topic_a == 2:
				specific_topics = ['Epithelial cells (cell types, simple epithelium, stratified epithelium)','Endothelial cells','Connective tissue cells (major tissues and cell types, fiber types, loose versus dense, extracellular matrix)'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,3)) #gets a random number for first sub topic btwn 0-2

		elif main_topic_a == 6:
			sub_topics = ['Endocrine System: Hormones','Endocrine System: Mechanisms of Hormone Action','Nervous System: Structure and Function','Nervous System: Sensory Reception and Processing'] #creates a list for the list of sub topics
			sub_topic_a = int(random.randrange(0,4)) #gets a random number for first sub topic btwn 0-3
			if sub_topic_a == 0:
				specific_topics = ['Function of endocrine system (specific chemical control at cell, tissue, and organ levels)','Definitions of endocrine gland, hormone','Major endocrine glands (names, locations, products)','Major types of hormones'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,4)) #gets a random number for first sub topic btwn 0-3
			elif sub_topic_a == 1:
				specific_topics = ['Cellular mechanisms of hormone action','Transport of hormones (bloodstream)','Specificity of hormones (target tissue)','Integration with nervous system (feedback control)']	#creates a list of specific topics
				specific_topic_a = int(random.randrange(0,4)) #gets a random number for first sub topic btwn 0-3
			elif sub_topic_a == 2:
				specific_topics = ['Major functions: high-level control and integration of body systems','Major functions: response to external influences','Major functions: integrative and cognitive abilities','Major functions: sensory input','Organization of vertebrate nervous system','Sensor and effector neurons','Sympathetic and parasympathetic nervous systems (functions, antagonistic control)','Reflexes: feedback loop, reflex arc, effects on flexor and extensor muscles','Reflexes: roles of spinal cord, brain','Reflexes: efferent control'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,10)) #gets a random number for first sub topic btwn 0-9
			elif sub_topic_a == 3:
				specific_topics = ['Skin, proprioceptive and somatic sensors','Olfaction, taste','Hearing: ear structure','Hearing: mechanism of hearing','Vision: light receptors','Vision: eye structure','Vision: visual image processing'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,7)) #gets a random number for first sub topic btwn 0-6

		elif main_topic_a == 7:
			sub_topics = ['Circulatory System','Lymphatic System','Immune System: Innate and Adaptive Systems'] #creates a list for the list of sub topics
			sub_topic_a = int(random.randrange(0,3)) #gets a random number for first sub topic btwn 0-2
			if sub_topic_a == 0:
				specific_topics = ['Functions (circulation of oxygen, nutrients, hormones, ions, and fluids; removal of metabolic waste)','Role in thermoregulation','Four-chambered heart (structure, function)','Systolic and diastolic pressure','Pulmonary and systemic circulation','Arterial and venous systems (arteries, arterioles, venules, veins): structural and functional differences','Arterial and venous systems (arteries, arterioles, venules, veins): pressure and flow characteristics','Capillary beds: mechanisms of gas and solute exchange','Capillary beds: mechanism of heat exchange','Composition of blood: plasma, chemicals, blood cells','Composition of blood: erythrocyte production and destruction (spleen, bone marrow)','Composition of blood: regulation of plasma volume','Composition of blood: coagulation, clotting mechanisms, role of liver in production of clotting factors','Oxygen and carbon dioxide transport by blood: hemoglobin, hematocrit','Oxygen and carbon dioxide transport by blood: oxygen content','Oxygen and carbon dioxide transport by blood: oxygen affinity','Details of oxygen transport: biochemical characteristics of hemoglobin: modification of oxygen affinity'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,17)) #gets a random number for first sub topic btwn 0-16
			elif sub_topic_a == 1:
				specific_topics = ['Major functions: equalization of fluid distribution','Major functions: transport of proteins and large glycerides','Major functions: return of materials to the blood','Composition of lymph (similarity to blood plasma; substances transported)','Source of lymph (diffusion from capillaries by differential pressure)','Lymph nodes (activation of lymphocytes)']	#creates a list of specific topics
				specific_topic_a = int(random.randrange(0,6)) #gets a random number for first sub topic btwn 0-5
			elif sub_topic_a == 2:
				specific_topics = ['Cells and their basic functions: macrophages, neutrophils, mast cells, natural killer cells, dendritic cells','Cells and their basic functions: T lymphocytes','Cells and their basic functions: B lymphocytes, plasma cells','Tissues: bone marrow','Tissues: spleen','Tissues: thymus','Tissues: lymph nodes','Basic aspects of innate immunity and inflammatory response','Concepts of antigen and antibody','Structure of antibody molecule','Mechanism of stimulation by antigen; antigen presentation'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,11)) #gets a random number for first sub topic btwn 0-10

		elif main_topic_a == 8:
			sub_topics = ['Digestive System','Excretory System'] #creates a list for the list of sub topics
			sub_topic_a = int(random.randrange(0,2)) #gets a random number for first sub topic btwn 0-1
			if sub_topic_a == 0:
				specific_topics = ['Ingestion: saliva as lubrication and source of enzymes','Ingestion: epiglottal action','Ingestion: pharynx (function in swallowing)','Ingestion: esophagus (transport function)','Stomach: storage and churning of food','Stomach: low pH, gastric juice, protection by mucus against self-destruction','Stomach: production of digestive enzymes, site of digestion','Stomach: structure (gross)','Liver: production of bile','Liver: roles in nutrient metabolism, vitamin storage','Liver: roles in blood glucose regulation, detoxification','Liver: structure (gross)','Bile: storage in gallbladder','Bile: function','Pancreas: production of enzymes, bicarbonate','Pancreas: transport of enzymes to small intestine','Pancreas: structure (gross)','Small intestine: absorption of food molecules and water','Small intestine: function and structure of villi','Small intestine: production of enzymes, site of digestion','Small intestine: neutralization of stomach acid','Small intestine: structure (anatomic subdivisions)','Large intestine: absorption of water','Large intestine: bacterial flora','Large intestine: structure (gross)','Rectum (storage and elimination of waste, feces)','Muscular control: sphincter muscle','Muscular control: peristalsis'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,28)) #gets a random number for first sub topic btwn 0-27
			elif sub_topic_a == 1:
				specific_topics = ['Roles in homeostasis: blood pressure','Roles in homeostasis: osmoregulation','Roles in homeostasis: acid-base balance','Roles in homeostasis: removal of soluble nitrogenous waste','Kidney structure: cortex','Kidney structure: medulla','Nephron structure: glomerulus','Nephron structure: Bowmans capsule','Nephron structure: proximal tubule','Nephron structure: loop of Henle','Nephron structure: distal tubule','Nephron structure: collecting duct','Formation of urine: glomerular filtration','Formation of urine: secretion and reabsorption of solutes','Formation of urine: concentration of urine','Formation of urine: countercurrent multiplier mechanism (basic function)','Storage and elimination (ureter, bladder, urethra)']	#creates a list of specific topics
				specific_topic_a = int(random.randrange(0,17)) #gets a random number for first sub topic btwn 0-16

		elif main_topic_a == 9:
			sub_topics = ['Muscle System','Skeletal System'] #creates a list for the list of sub topics
			sub_topic_a = int(random.randrange(0,2)) #gets a random number for first sub topic btwn 0-1
			if sub_topic_a == 0:
				specific_topics = ['Functions: support, mobility','Functions: peripheral circulatory assistance','Functions: thermoregulation (shivering reflex)','Structural characteristics of skeletal, smooth, and cardiac muscle; striated versus nonstriated','Nervous control: motor neurons','Nervous control: neuromuscular junctions, motor end plates','Nervous control: voluntary and involuntary muscles','Nervous control: sympathetic and parasympathetic innervation'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,8)) #gets a random number for first sub topic btwn 0-7
			elif sub_topic_a == 1:
				specific_topics = ['Functions: structural rigidity and support','Functions: calcium storage','Functions: physical protection','Skeletal structure: specialization of bone types; structures','Skeletal structure: joint structures','Skeletal structure: endoskeleton versus exoskeleton',' Cartilage (structure, function)','Ligaments, tendons','Bone structure: calcium-protein matrix','Bone structure: bone growth (osteoblasts, osteoclasts)']	#creates a list of specific topics
				specific_topic_a = int(random.randrange(0,10)) #gets a random number for first sub topic btwn 0-9

		elif main_topic_a == 10:
			sub_topics = ['Respiratory System'] #creates a list for the list of sub topics
			sub_topic_a = int(random.randrange(0,1)) #gets a random number for first sub topic btwn 0-0
			if sub_topic_a == 0:
				specific_topics = ['General structure and function: gas exchange, thermoregulation','General structure and function: protection against disease, particulate matter','Breathing mechanisms: diaphragm, rib cage, differential pressure','Breathing mechanisms: resiliency and surface tension effects'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,4)) #gets a random number for first sub topic btwn 0-3

		elif main_topic_a == 11:
			sub_topics = ['Skin System'] #creates a list for the list of sub topics
			sub_topic_a = int(random.randrange(0,1)) #gets a random number for first sub topic btwn 0-0
			if sub_topic_a == 0:
				specific_topics = ['Functions in homeostasis and osmoregulation','Functions in thermoregulation: hair, erectile musculature','Functions in thermoregulation: fat layer for insulation','Functions in thermoregulation: sweat glands, location in dermis','Functions in thermoregulation: vasoconstriction and vasodilation in surface capillaries','Physical protection: nails, calluses, hair','Physical protection: protection against abrasion, disease organisms','Structure: layer differentiation, cell types, tissue types (epithelial, connective)','Structure: relative impermeability to water'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,9)) #gets a random number for first sub topic btwn 0-8

		elif main_topic_a == 12:
			sub_topics = ['Reproductive System','Embryogenesis','Developmental Mechanisms'] #creates a list for the list of sub topics
			sub_topic_a = int(random.randrange(0,3)) #gets a random number for first sub topic btwn 0-2
			if sub_topic_a == 0:
				specific_topics = ['Male and female reproductive structures and their functions: gonads','Male and female reproductive structures and their functions: genitalia','Male and female reproductive structures and their functions: differences between male and female structures','Gametogenesis by meiosis','Ovum and sperm: differences in formation','Ovum and sperm: differences in morphology','Ovum and sperm: relative contribution to next generation','Reproductive sequence (fertilization, implantation, development, birth)'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,8)) #gets a random number for first sub topic btwn 0-7
			elif sub_topic_a == 1:
				specific_topics = ['Major structures arising out of primary germ layers','Stages of early development (order and general features of each): fertilization','Stages of early development (order and general features of each): cleavage','Stages of early development (order and general features of each): blastula formation','Stages of early development (order and general features of each): gastrulation-first cell movements','Stages of early development (order and general features of each): gastrulation-formation of primary germ layers (endoderm, mesoderm, ectoderm)','Stages of early development (order and general features of each): neurulation']	#creates a list of specific topics
				specific_topic_a = int(random.randrange(0,7)) #gets a random number for first sub topic btwn 0-6
			elif sub_topic_a == 2:
				specific_topics = ['Cell specialization: determination','Cell specialization: differentiation','Cell specialization: tissue types','Cell communication in development','Gene regulation in development','Programmed cell death'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,6)) #gets a random number for first sub topic btwn 0-5

		elif main_topic_a == 13:
			sub_topics = ['Mendelian Concepts','Meiosis and Genetic Variability','Analytic Methods'] #creates a list for the list of sub topics
			sub_topic_a = int(random.randrange(0,3)) #gets a random number for first sub topic btwn 0-2
			if sub_topic_a == 0:
				specific_topics = ['Phenotype and genotype (definitions, probability calculations, pedigree analysis)','Gene','Locus','Allele (single, multiple)','Homozygosity and heterozygosity','Wild type','Recessiveness','Complete dominance','Codominance','Incomplete dominance, leakage, penetrance, expressivity','Gene pool'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,11)) #gets a random number for first sub topic btwn 0-10
			elif sub_topic_a == 1:
				specific_topics = ['Significance of meiosis','Important differences between meiosis and mitosis','Segregation of genes: independent assortment','Segregation of genes: linkage','Segregation of genes: recombination','Segregation of genes: single crossovers','Segregation of genes: double crossovers','Sex-linked characteristics: very few genes on Y chromosome','Sex-linked characteristics: sex determination','Sex-linked characteristics: cytoplasmic inheritance, mitochondrial inheritance','Mutation: general concept of mutation','Mutation: types of mutations (random, translation error, transcription error, base substitution, insertion, deletion, frameshift)','Mutation: chromosomal rearrangements (inversion, translocation)','Mutation: advantageous versus deleterious mutation','Mutation: inborn errors of metabolism','Mutation: relationship of mutagens to carcinogens']	#creates a list of specific topics
				specific_topic_a = int(random.randrange(0,16)) #gets a random number for first sub topic btwn 0-15
			elif sub_topic_a == 2:
				specific_topics = ['Hardy-Weinberg principle','Testcross (backcross; concepts of parental, F1, and F2 generations)'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,2)) #gets a random number for first sub topic btwn 0-1

		elif main_topic_a == 14:
			sub_topics = ['Evolution','Comparative Anatomy'] #creates a list for the list of sub topics
			sub_topic_a = int(random.randrange(0,2)) #gets a random number for first sub topic btwn 0-1
			if sub_topic_a == 0:
				specific_topics = ['Natural selection: fitness concept','Natural selection: selection by differential reproduction','Natural selection: concepts of natural and group selection','Natural selection: evolutionary success as increase in percent representation in the gene pool of the next generation','Speciation: definition of species','Speciation: polymorphism','Speciation: adaptation and specialization','Speciation: concepts of ecological niche, competition','Speciation: concept of population growth through competition','Speciation: inbreeding','Speciation: outbreeding','Speciation: bottlenecks, genetic drift','Speciation: divergent, parallel, and convergent evolution','Speciation: symbiotic relationships-parasitism','Speciation: symbiotic relationships-commensalism','Speciation: symbiotic relationships-mutualism','Relationship between ontogeny and phylogeny','Evolutionary time as measured by gradual random changes in genome','Origin of life'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,19)) #gets a random number for first sub topic btwn 0-18
			elif sub_topic_a == 1:
				specific_topics = ['Chordate features: notochord','Chordate features: pharangeal pouches, brachial arches','Chordate features: dorsal nerve cord','Vertebrate phylogeny (vertebrate classes and relations to each other)']	#creates a list of specific topics
				specific_topic_a = int(random.randrange(0,4)) #gets a random number for first sub topic btwn 0-3

		elif main_topic_a == 15:
			sub_topics = ['Sigma and Pi Bonds','Multiple Bonding','Stereochemistry of Covalently Bonded Molecules'] #creates a list for the list of sub topics
			sub_topic_a = int(random.randrange(0,3)) #gets a random number for first sub topic btwn 0-2
			if sub_topic_a == 0:
				specific_topics = ['Hybrid orbitals (sp3, sp2, sp, and their respective geometries)','Valence shell electron-pair repulsion (VSEPR) theory, predictions of shapes of molecules (e.g. NH3, H2O, CO2)','Structural formulas','Delocalized electrons and resonance in ions and molecules'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,4)) #gets a random number for first sub topic btwn 0-3
			elif sub_topic_a == 1:
				specific_topics = ['Its effect on bond length and bond energies','Rigidity in molecular structure']	#creates a list of specific topics
				specific_topic_a = int(random.randrange(0,2)) #gets a random number for first sub topic btwn 0-1
			elif sub_topic_a == 2:
				specific_topics = ['Isomers: constitutional isomers','Isomers: stereoisomers (e.g., diastereomers, enantiomers, cis and trans isomers)','Isomers: conformational isomers','Polarization of light, specific rotation','Absolute and relative configuration: conventions for writing R and S forms','Absolute and relative configuration: conventions for writing E and Z forms','Racemic mixtures, separation of enantiomers'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,7)) #gets a random number for first sub topic btwn 0-6

		elif main_topic_a == 16:
			sub_topics = ['Absorption Spectroscopy','Mass Spectrometry','1H NMR Spectroscopy'] #creates a list for the list of sub topics
			sub_topic_a = int(random.randrange(0,3)) #gets a random number for first sub topic btwn 0-2
			if sub_topic_a == 0:
				specific_topics = ['Infrared region: intramolecular vibrations and rotations','Infrared region: recognizing common characteristic group absorptions, fingerprint region','Visible region: absorption in visible region yielding complementary color','Visible region: effect of structural changes on absorption','Ultraviolet region: pi-electron and nonbonding electron transitions','Ultraviolet region: conjugated systems'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,6)) #gets a random number for first sub topic btwn 0-5
			elif sub_topic_a == 1:
				specific_topics = ['Mass-to-charge ratio (m/z)','Molecular ion peak']	#creates a list of specific topics
				specific_topic_a = int(random.randrange(0,2)) #gets a random number for first sub topic btwn 0-1
			elif sub_topic_a == 2:
				specific_topics = ['Protons in a magnetic field, equivalent protons','Spin-spin splitting'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,2)) #gets a random number for first sub topic btwn 0-1

		elif main_topic_a == 17:
			sub_topics = ['Extraction (Distribution of Solute Between Two Immiscible Solvents)','Distillation','Chromatography (Basic Principles Involved in Separation Process)','Recrystallization (Solvent Choice from Solubility Data)'] #creates a list for the list of sub topics
			sub_topic_a = int(random.randrange(0,4)) #gets a random number for first sub topic btwn 0-4
			if sub_topic_a == 0:
				specific_topics = ['Extraction'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,1)) #gets a random number for first sub topic btwn 0-0
			elif sub_topic_a == 1:
				specific_topics = ['Distillation']	#creates a list of specific topics
				specific_topic_a = int(random.randrange(0,1)) #gets a random number for first sub topic btwn 0-0
			elif sub_topic_a == 2:
				specific_topics = ['Chromatography: Gas-liquid chromatography','Chromatography: Paper chromatography','Chromatography: Thin-layer chromatography'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,3)) #gets a random number for first sub topic btwn 0-2
			elif sub_topic_a == 3:
				specific_topics = ['Recrystallization'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,1)) #gets a random number for first sub topic btwn 0-0

		elif main_topic_a == 18:
			sub_topics = ['Alkanes'] #creates a list for the list of sub topics
			sub_topic_a = int(random.randrange(0,1)) #gets a random number for first sub topic btwn 0-0
			if sub_topic_a == 0:
				specific_topics = ['Description: nomenclature','Description: physical properties'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,2)) #gets a random number for first sub topic btwn 0-1
			elif sub_topic_a == 1:
				specific_topics = ['Important reactions: combustion','Important reactions: substitution reactions with halogens, etc.']	#creates a list of specific topics
				specific_topic_a = int(random.randrange(0,2)) #gets a random number for first sub topic btwn 0-1
			elif sub_topic_a == 2:
				specific_topics = ['General principles: stability of free radicals, chain reaction mechanism, inhibition','General principles: ring strain in cyclic compounds','General principles: bicyclic molecules'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,3)) #gets a random number for first sub topic btwn 0-2

		elif main_topic_a == 19:
			sub_topics = ['Alcohols','Aldehydes and Ketones','Carboxylic Acids','Acid Derivatives (Acid Chlorides, Anhydrides, Amides, Esters)','Keto Acids and Esters'] #creates a list for the list of sub topics
			sub_topic_a = int(random.randrange(0,5)) #gets a random number for first sub topic btwn 0-4
			if sub_topic_a == 0:
				specific_topics = ['Description: nomenclature','Description: physical properties','Important reactions: substitution reactions (SN1 or SN2, depending on alcohol and derived alkyl halide)','Important reactions: oxidation','Important reactions: pinacol rearrangement in polyhydroxyalcohols, synthetic uses','Important reactions: protection of alcohols','Important reactions: reactions with SOCl2 and PBr3','Important reactions: esterification','Important reactions: preparation of mesylates and tosylates','Important reactions: inorganic esters','General principles: hydrogen bonding','General principles: acidity of alcohols compared to other classes of oxygen-containing compounds','General principles: effect of chain branching on physical properties'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,13)) #gets a random number for first sub topic btwn 0-12
			elif sub_topic_a == 1:
				specific_topics = ['Description: nomenclature','Description: physical properties','Important reactions: nucleophilic addition reactions at C=O bond-acetal, hemiacetal','Important reactions: nucleophilic addition reactions at C=O bond-imine, enamine','Important reactions: reactions at adjacent positions-haloform reactions','Important reactions: reactions at adjacent positions-aldol condensation','Important reactions: reactions at adjacent positions-oxidation','Important reactions: 1,3-dicarbonyl compounds, internal hydrogen bonding','Important reactions: keto-enol tautomerism','Important reactions: organometallic reagents','Important reactions: Wolff-Kishner reaction','Important reactions: Grignard reagents','General principles: effect of substituents on reactivity of C=O; steric hindrance','General principles: acidity of alpha hydrogens; carbanions','General principles: unsaturated carbonyl compounds, their resonance structures']	#creates a list of specific topics
				specific_topic_a = int(random.randrange(0,15)) #gets a random number for first sub topic btwn 0-14
			elif sub_topic_a == 2:
				specific_topics = ['Description: nomenclature','Description: physical properties and solubility','Important reactions: carboxyl group reactions-nucleophilic attack','Important reactions: carboxyl group reactions-reduction','Important reactions: carboxyl group reactions-decarboxylation','Important reactions: carboxyl group reactions-esterification','Important reactions: reactions at alpha position-halogenation','Important reactions: reactions at alpha position-substitution reactions','General principles: hydrogen bonding','General principles: dimerization','General principles: acidity of the carboxyl group','General principles: inductive effect of substituents','General principles: resonance stability of carboxylate anion'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,13)) #gets a random number for first sub topic btwn 0-12
			elif sub_topic_a == 3:
				specific_topics = ['Description: nomenclature','Description: physical properties','Important reactions: preparation of acid derivatives','Important reactions: nucleophilic substitution','Important reactions: Hofmann rearrangement','Important reactions: transesterification','Important reactions: hydrolysis of fats and glycerides (saponification)','Important reactions: hydrolysis of amides','General principles: relative reactivity of acid derivatives','General principles: steric effects','General principles: electronic effects','General principles: Strain (e.g., beta-lactams)'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,12)) #gets a random number for first sub topic btwn 0-11
			elif sub_topic_a == 4:
				specific_topics = ['Description: nomenclature','Important reactions: decarboxylation','Important reactions: acetoacetic ester synthesis','General principles: acidity of alpha hydrogens in beta-keto esters','General principles: keto-enol tautomerism'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,5)) #gets a random number for first sub topic btwn 0-4

		elif main_topic_a == 20:
			sub_topics = ['Description','Important reactions','General principles'] #creates a list for the list of sub topics
			sub_topic_a = int(random.randrange(0,3)) #gets a random number for first sub topic btwn 0-2
			if sub_topic_a == 0:
				specific_topics = ['nomenclature','stereochemistry, physical properties'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,2)) #gets a random number for first sub topic btwn 0-1
			elif sub_topic_a == 1:
				specific_topics = ['amide formation','reaction with nitrous acid','alkylation','Hofmann elimination']	#creates a list of specific topics
				specific_topic_a = int(random.randrange(0,4)) #gets a random number for first sub topic btwn 0-3
			elif sub_topic_a == 2:
				specific_topics = ['basicity','stabilization of adjacent carbocations','effect of substituents on basicity of aromatic amines'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,3)) #gets a random number for first sub topic btwn 0-2

		elif main_topic_a == 21:
			sub_topics = ['Carbohydrates','Amino Acids and Proteins','Lipids','Phosphorus Compounds'] #creates a list for the list of sub topics
			sub_topic_a = int(random.randrange(0,4)) #gets a random number for first sub topic btwn 0-3
			if sub_topic_a == 0:
				specific_topics = ['Description: nomenclature, classification, common names','Description: absolute configurations','Description: cyclic structure and conformations of hexoses','Description: epimers and anomers','Hydrolysis of the glycoside linkage','Reactions of monosaccharides'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,6)) #gets a random number for first sub topic btwn 0-5
			elif sub_topic_a == 1:
				specific_topics = ['Description: an absolute configuration(s)','Description: amino acids classified as dipolar ions','Description: classification-acidic or basic','Description: classification-hydrophobic or hydrophilic','Important reactions: peptide linkage','Important reactions: hydrolysis','General principles: 1-prime structure of proteins','General principles: 2-prime structure of proteins']	#creates a list of specific topics
				specific_topic_a = int(random.randrange(0,8)) #gets a random number for first sub topic btwn 0-7
			elif sub_topic_a == 2:
				specific_topics = ['Description, structure: steroids','Description, structure: terpenes','Description, structure: triacyl glycerols','Description, structure: free fatty acids'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,4)) #gets a random number for first sub topic btwn 0-3
			elif sub_topic_a == 3:
				specific_topics = ['Description: structure of phosphoric acids (anhydrides, esters)','Important reactions: Wittig reaction'] #creates a list of specific topics
				specific_topic_a = int(random.randrange(0,2)) #gets a random number for first sub topic btwn 0-1

		#Print out topics to screen.
		limit = limit + 1 #add one to while loop counter varibale 
		print "Topic ", limit, ":"
		A1 = main_topic_a #calls and stores the number value for topic
		A2 = sub_topic_a #calls and stores the number value for topic
		A3 = specific_topic_a #calls and stores the number value for topic
		print main_topics[A1]
		print sub_topics[A2]
		print specific_topics[A3]
		print ""

	raw_input("Press any Key to quit the program.")

#Physical Sciences loop
elif x == 3:
	topic_count = int(raw_input("How many topics would you like generated(1,2,3,...)? ")) #prompts the user to pick the number of topics they want generated
	limit = 0; #sets limit counter to zero
	print ""
	print "Physical Sciences List"
	while limit < topic_count:
		#creates a list for the list of main topics in physical sciences
		main_topics = ['ELECTRONIC STRUCTURE AND PERIODIC TABLE','BONDING','PHASES AND PHASE EQUILIBRIA','STOICHIOMETRY','THERMODYNAMICS AND THERMOCHEMISTRY','RATE PROCESSES IN CHEMICAL REACTIONS: KINETICS AND EQUILIBRIUM','SOLUTION CHEMISTRY','ACIDS AND BASES','ELECTROCHEMISTRY','TRANSLATIONAL MOTION','FORCE AND MOTION, GRAVITATION','EQUILIBRIUM AND MOMENTUM','WORK AND ENERGY','WAVES AND PERIODIC MOTION','SOUND','FLUIDS AND SOLIDS','ELECTROSTATICS AND ELECTROMAGNETISM','ELECTRONIC CIRCUIT ELEMENTS','LIGHT AND GEOMETRICAL OPTICS','ATOMIC AND NUCLEAR STRUCTURE']
		main_topic_b = int(random.randrange(0,20)) #gets a random number for first main topic btwn 0-19
		if main_topic_b == 0:
			sub_topics = ['Electronic Structure','The Periodic Table: Classification of Elements into Groups by Electronic Structure; Physical','The Periodic Table: Variations of Chemical Properties with Group and Row'] #creates a list for the list of sub topics
			sub_topic_b = int(random.randrange(0,3)) #gets a random number for first sub topic btwn 0-2
			if sub_topic_b == 0:
				specific_topics = ['Orbital structure of hydrogen atom, principal quantum number n, number of electrons per orbital','Ground state, excited states','Absorption and emission spectra','Quantum numbers l, m, s, and number of electrons per orbital','Common names and geometric shapes for orbitals s, p, d','Conventional notation for electronic structure','Bohr atom','Effective nuclear charge'] #creates a list of specific topics
				specific_topic_b = int(random.randrange(0,8)) #gets a random number for first sub topic btwn 0-7
			elif sub_topic_b == 1:
				specific_topics = ['Alkali metals','Alkaline earth metals','Halogens','Noble gases','Transition metals','Representative elements','Metals and nonmetals','Oxygen group']	#creates a list of specific topics
				specific_topic_b = int(random.randrange(0,8)) #gets a random number for first sub topic btwn 0-7
			elif sub_topic_b == 2:
				specific_topics = ['Electronic structure - representative elements','Electronic structure - noble gases','Electronic structure - transition metals','Valence electrons','First and second ionization energies - definition','First and second ionization energies - prediction from electronic structure for elements in different groups or rows','Electronegativity - definition','Electronegativity - comparative values for some representative elements and important groups','Electron affinity - definition','Electron affinity - variations with group and row','Electron shells and the sizes of atoms'] #creates a list of specific topics
				specific_topic_b = int(random.randrange(0,11)) #gets a random number for first sub topic btwn 0-10

		elif main_topic_b == 1:
			sub_topics = ['The Ionic Bond (Electrostatic Forces Between Ions)','The Covalent Bond'] #creates a list for the list of sub topics
			sub_topic_b = int(random.randrange(0,2)) #gets a random number for first sub topic btwn 0-1
			if sub_topic_b == 0:
				specific_topics = ['Electrostatic energy alpha q1q2/r','Electrostatic energy alpha lattice energy','Electrostatic force alpha q1q2/r2'] #creates a list of specific topics
				specific_topic_b = int(random.randrange(0,3)) #gets a random number for first sub topic btwn 0-2
			elif sub_topic_b == 1:
				specific_topics = ['Sigma and pi bonds - hybrid orbitals (sp3, sp2, sp, and respective geometries)','Sigma and pi bonds - valence shell electron-pair repulsion (VSEPR) theory, predictions of shapes of molecules (e.g., NH3, H2O, CO2)','Lewis electron dot formulas - resonance structures','Lewis electron dot formulas - formal charge','Lewis electron dot formulas - Lewis acids and bases','Partial ionic character - role of electronegativity in determining charge distribution','Partial ionic character - dipole moment']	#creates a list of specific topics
				specific_topic_b = int(random.randrange(0,10)) #gets a random number for first sub topic btwn 0-9

		elif main_topic_b == 2:
			sub_topics = ['Gas Phase','Intermolecular Forces','Phase Equilibria'] #creates a list for the list of sub topics
			sub_topic_b = int(random.randrange(0,3)) #gets a random number for first sub topic btwn 0-2
			if sub_topic_b == 0:
				specific_topics = ['Absolute temperature, K','Pressure, simple mercury barometer','Molar volume at 0C and 1 atm = 22.4 L/mol','Ideal gas - definition','Ideal gas - ideal gas law (PV = nRT)- Boyles law','Ideal gas - ideal gas law (PV = nRT) - Charles law','Ideal gas - ideal gas law (PV = nRT) - Avogadros law','Kinetic theory of gases','Deviation of real-gas behavior from ideal gas law - qualitative','Deviation of real-gas behavior from ideal gas law - quantitative (van der Waals equation)','Partial pressure, mole fraction','Daltons law relating partial pressure to composition'] #creates a list of specific topics
				specific_topic_b = int(random.randrange(0,12)) #gets a random number for first sub topic btwn 0-11
			elif sub_topic_b == 1:
				specific_topics = ['Hydrogen bonding','Dipole interactions','London dispersion forces']	#creates a list of specific topics
				specific_topic_b = int(random.randrange(0,3)) #gets a random number for first sub topic btwn 0-2
			elif sub_topic_b == 2:
				specific_topics = ['Phase changes, phase diagrams','Freezing point, melting point, boiling point, condensation point','Molality','Colligative properties - vapor pressure lowering (Raoults law)','Colligative properties - boiling point elevation (Delta Tb = Kbm)','Colligative properties - freezing point depression (Delta Tf = Kfm)','Colligative properties - osmotic pressure','Colloids','Henrys law'] #creates a list of specific topics
				specific_topic_b = int(random.randrange(0,9)) #gets a random number for first sub topic btwn 0-8

		elif main_topic_b == 3:
			sub_topics = ['Stoichiometry'] #creates a list for the list of sub topics
			sub_topic_b = int(random.randrange(0,1)) #gets a random number for first sub topic btwn 0-0
			if sub_topic_b == 0:
				specific_topics = ['Molecular weight','Empirical formula versus molecular formula','Metric units commonly used in the context of chemistry','Description of composition by percent mass','Mole concept, Avogadros number','Definition of density','Oxidation number - common oxidizing and reducing agents','Oxidation number - disproportionation reactions','Oxidation number - redox titration','Description of reactions by chemical equations - conventions for writing chemical equations','Description of reactions by chemical equations - balancing equations including redox equations','Description of reactions by chemical equations - limiting reactants','Description of reactions by chemical equations - theoretical yields'] #creates a list of specific topics
				specific_topic_b = int(random.randrange(0,13)) #gets a random number for first sub topic btwn 0-12

		elif main_topic_b == 4:
			sub_topics = ['Energy Changes in Chemical Reactions: Thermochemistry','Thermodynamics'] #creates a list for the list of sub topics
			sub_topic_b = int(random.randrange(0,2))#gets a random number for first sub topic btwn 0-1
			if sub_topic_b == 0:
				specific_topics = ['Thermodynamic system, state function','Endothermic and exothermic reactions - enthalpy H, standard heats of reaction and formation','Endothermic and exothermic reactions - Hess law of heat summation','Bond dissociation energy as related to heats of formation','Measurement of heat changes (calorimetry), heat capacity, specific heat capacity (specific heat capacity of water = 4.184 J/g*K)','Entropy as a measure of disorder, relative entropy for gas, liquid, and crystal states','Free energy G','Spontaneous reactions and Delta G'] #creates a list of specific topics
				specific_topic_b = int(random.randrange(0,8)) #gets a random number for first sub topic btwn 0-7
			elif sub_topic_b == 1:
				specific_topics = ['Zeroth law (concept of temperature)','First law (Delta E = q + w, conservation of energy)','Equivalence of mechanical, chemical, electrical, and thermal energy units','Second law (concept of entropy)','Temperature scales, conversions','Heat transfer (conduction, convection, radiation)','Heat of fusion, heat of vaporization','PV diagram (work done = area under or enclosed by curve)'] #creates a list of specific topics
				specific_topic_b = int(random.randrange(0,8)) #gets a random number for first sub topic btwn 0-7

		elif main_topic_b == 5:
			sub_topics = ['RATE PROCESSES IN CHEMICAL REACTIONS'] #creates a list for the list of sub topics
			sub_topic_b = int(random.randrange(0,1)) #gets a random number for first sub topic btwn 0-0
			if sub_topic_b == 0:
				specific_topics = ['Reaction rates','Rate law, dependence of reaction rate on concentrations of reactants - rate constant','Rate law, dependence of reaction rate on concentrations of reactants - reaction order','Rate-determining step','Dependence of reaction rate on temperature - activation energy - activated complex or transition state','Dependence of reaction rate on temperature - activation energy - interpretation of energy profiles showing energies of reactants and products, activation energy, Delta H for the reaction','Dependence of reaction rate on temperature - Arrhenius equation','Kinetic control versus thermodynamic control of a reaction','Catalysts, enzyme catalysis','Equilibrium in reversible chemical reactions - law of mass action','Equilibrium in reversible chemical reactions - the equilibrium constant','Equilibrium in reversible chemical reactions - application of Le Chateliers principle','Relationship of the equilibrium constant and Delta Go'] #creates a list of specific topics
				specific_topic_b = int(random.randrange(0,14)) #gets a random number for first sub topic btwn 0-13

		elif main_topic_b == 6:
			sub_topics = ['Ions in Solution','Solubility'] #creates a list for the list of sub topics
			sub_topic_b = int(random.randrange(0,2)) #gets a random number for first sub topic btwn 0-1
			if sub_topic_b == 0:
				specific_topics = ['Anion, cation (common names, formulas, and charges for familiar ions; e.g., NH4+, ammonium; PO43-, phosphate; SO42-, sulfate)','Hydration, the hydronium ion'] #creates a list of specific topics
				specific_topic_b = int(random.randrange(0,2)) #gets a random number for first sub topic btwn 0-1
			elif sub_topic_b == 1:
				specific_topics = ['Units of concentration (e.g.,molarity)','Solubility product constant, the equilibrium expression','Common-ion effect, its use in laboratory separations','Complex ion formation','Complex ions and solubility','Solubility and pH']	#creates a list of specific topics
				specific_topic_b = int(random.randrange(0,6)) #gets a random number for first sub topic btwn 0-5

		elif main_topic_b == 7:
			sub_topics = ['Acid-Base Equilibria','Titration'] #creates a list for the list of sub topics
			sub_topic_b = int(random.randrange(0,2)) #gets a random number for first sub topic btwn 0-1
			if sub_topic_b == 0:
				specific_topics = ['Bronsted-Lowry definition of acids and bases','Ionization of water - Kw, its approximate value (Kw = [H3O+][OH-] = 10-14 at 25C)','Ionization of water - pH definition, pH of pure water','Conjugate acids and bases','Strong acids and bases (common examples; e.g., nitric, sulfuric)','Weak acids and bases (common examples; e.g., acetic, benzoic) - dissociation of weak acids and bases with or without added salt','Weak acids and bases (common examples; e.g., acetic, benzoic) - hydrolysis of salts of weak acids or bases','Weak acids and bases (common examples; e.g., acetic, benzoic) - calculation of pH of solutions of weak acids or bases','Equilibrium constants Ka and Kb (pKa and pKb)','Buffers - definition, concepts (common buffer systems)','Buffers - influence on titration curves'] #creates a list of specific topics
				specific_topic_b = int(random.randrange(0,3)) #gets a random number for first sub topic btwn 0-2
			elif sub_topic_b == 1:
				specific_topics = ['Indicators','Neutralization','Interpretation of titration curves']	#creates a list of specific topics
				specific_topic_b = int(random.randrange(0,3)) #gets a random number for first sub topic btwn 0-2

		elif main_topic_b == 8:
			sub_topics = ['Electrolytic cell','Galvanic (voltaic) cell'] #creates a list for the list of sub topics
			sub_topic_b = int(random.randrange(0,2)) #gets a random number for first sub topic btwn 0-1
			if sub_topic_b == 0:
				specific_topics = ['electrolysis','anode, cathode','electrolytes','Faradays law relating amount of elements deposited (or gas liberated) at an electrode to current','electron flow, oxidation and reduction at the electrodes'] #creates a list of specific topics
				specific_topic_b = int(random.randrange(0,5)) #gets a random number for first sub topic btwn 0-4
			elif sub_topic_b == 1:
				specific_topics = ['half-reactions','reduction potentials, cell potential','direction of electron flow']	#creates a list of specific topics
				specific_topic_b = int(random.randrange(0,3)) #gets a random number for first sub topic btwn 0-2

		elif main_topic_b == 9:
			sub_topics = ['TRANSLATIONAL MOTION'] #creates a list for the list of sub topics
			sub_topic_b = int(random.randrange(0,1)) #gets a random number for first sub topic btwn 0-0
			if sub_topic_b == 0:
				specific_topics = ['Dimensions (length or distance, time)','Vectors, components','Vector addition','Speed, velocity (average and instantaneous)','Acceleration','Freely falling bodies'] #creates a list of specific topics
				specific_topic_b = int(random.randrange(0,6)) #gets a random number for first sub topic btwn 0-5
			
		elif main_topic_b == 10:
			sub_topics = ['FORCE AND MOTION, GRAVITATION'] #creates a list for the list of sub topics
			sub_topic_b = int(random.randrange(0,1)) #gets a random number for first sub topic btwn 0-0
			if sub_topic_b == 0:
				specific_topics = ['Center of mass','Newtons first law (inertia)','Newtons second law (F = ma)','Newtons third law (forces equal and opposite)','Concept of a field','Law of gravitation (F = -Gm1m2/r2)','Uniform circular motion','Centripetal force (F = -mv2/r)','Weight','Friction (static and kinetic)','Motion on an inclined plane','Analysis of pulley systems','Force'] #creates a list of specific topics
				specific_topic_b = int(random.randrange(0,13)) #gets a random number for first sub topic btwn 0-13

		elif main_topic_b == 11:
			sub_topics = ['Equilibrium','Momentum'] #creates a list for the list of sub topics
			sub_topic_b = int(random.randrange(0,2)) #gets a random number for first sub topic btwn 0-1
			if sub_topic_b == 0:
				specific_topics = ['Concept of force, units','Translational equilibrium','Rotational equilibrium','Analysis of forces acting on an object','Newtons first law (inertia)','Torques, lever arms','Weightlessness'] #creates a list of specific topics
				specific_topic_b = int(random.randrange(0,7)) #gets a random number for first sub topic btwn 0-6
			elif sub_topic_b == 1:
				specific_topics = ['Momentum = mv','Impulse = Ft','Conservation of linear momentum','Elastic collisions','Inelastic collisions'] #creates a list of specific topics
				specific_topic_b = int(random.randrange(0,5)) #gets a random number for first sub topic btwn 0-4

		elif main_topic_b == 12:
			sub_topics = ['Work','Energy'] #creates a list for the list of sub topics
			sub_topic_b = int(random.randrange(0,2)) #gets a random number for first sub topic btwn 0-1
			if sub_topic_b == 0:
				specific_topics = ['Derived units, sign conventions','Path independence of work done in gravitational field','Mechanical advantage','Work-energy theorem','Power'] #creates a list of specific topics
				specific_topic_b = int(random.randrange(0,5)) #gets a random number for first sub topic btwn 0-4
			elif sub_topic_b == 1:
				specific_topics = ['Kinetic energy (KE = mv2/2, units)','Potential Energy - gravitational, local (PE = mgh)','Potential Energy - spring (PE = kx2/2)','Potential Energy - gravitational, general (PE = -GmM/r)','Conservation of Energy','Conservative Forces','Power, units'] #creates a list of specific topics
				specific_topic_b = int(random.randrange(0,7)) #gets a random number for first sub topic btwn 0-6

		elif main_topic_b == 13:
			sub_topics = ['Periodic Motion','Wave Characteristics'] #creates a list for the list of sub topics
			sub_topic_b = int(random.randrange(0,2)) #gets a random number for first sub topic btwn 0-1
			if sub_topic_b == 0:
				specific_topics = ['Amplitude, period, frequency','Phase','Hookes law (F = -kx)','Simple harmonic motion, displacement as a sinusoidal function of time','Motion of a pendulum','General periodic motion (velocity, amplitude)'] #creates a list of specific topics
				specific_topic_b = int(random.randrange(0,6)) #gets a random number for first sub topic btwn 0-5
			elif sub_topic_b == 1:
				specific_topics = ['Transverse and longitudinal waves','Wavelength, frequency, wave speed','Amplitude and intensity','Superposition of waves, interference, wave addition','Resonance','Standing waves (nodes, antinodes)','Beat frequencies','Refraction and general nature of diffraction']	#creates a list of specific topics
				specific_topic_b = int(random.randrange(0,8)) #gets a random number for first sub topic btwn 0-7

		elif main_topic_b == 14:
			sub_topics = ['Sound'] #creates a list for the list of sub topics
			sub_topic_b = int(random.randrange(0,1)) #gets a random number for first sub topic btwn 0-0
			if sub_topic_b == 0:
				specific_topics = ['Production of sound','Relative speed of sound in solids, liquids, and gases','Intensity of sound (decibel units, log scale)','Attenuation','Doppler effect (moving sound source or observer, reflection of sound from a moving object)','Pitch','Resonance in pipes and strings','Harmonics','Ultrasound'] #creates a list of specific topics
				specific_topic_b = int(random.randrange(0,9)) #gets a random number for first sub topic btwn 0-8

		elif main_topic_b == 15:
			sub_topics = ['Fluids','Solids'] #creates a list for the list of sub topics
			sub_topic_b = int(random.randrange(0,2)) #gets a random number for first sub topic btwn 0-1
			if sub_topic_b == 0:
				specific_topics = ['Density, specific gravity','Archimedes principle (buoyancy)','Hydrostatic pressure - Pascals law','Hydrostatic pressure - pressure versus depth (P = pgh)','Poiseuille flow (viscosity)','Continuity equation (Av = constant)','Concept of turbulence at high velocities','Surface tension','Bernoullis equation'] #creates a list of specific topics
				specific_topic_b = int(random.randrange(0,9)) #gets a random number for first sub topic btwn 0-8
			elif sub_topic_b == 1:
				specific_topics = ['Density','Elastic properties (elementary properties)','Elastic limit','Thermal expansion coefficient','Shear','Compression']	#creates a list of specific topics
				specific_topic_b = int(random.randrange(0,6)) #gets a random number for first sub topic btwn 0-5

		elif main_topic_b == 16:
			sub_topics = ['Electrostatics','Magnetism','Electromagnetic Radiation (Light)'] #creates a list for the list of sub topics
			sub_topic_b = int(random.randrange(0,3)) #gets a random number for first sub topic btwn 0-2
			if sub_topic_b == 0:
				specific_topics = ['Charges, conductors, charge conservation','Insulators','Coulombs law (F = kq1q2/r2, sign conventions)','Electric field - field lines','Electric field - field due to charge distribution','Potential difference, absolute potential at point in space','Equipotential lines','Electric dipole - definition of dipole','Electric dipole - behavior in electric field','Electric dipole - potential due to dipole','Electrostatic induction','Gauss law'] #creates a list of specific topics
				specific_topic_b = int(random.randrange(0,12)) #gets a random number for first sub topic btwn 0-11
			elif sub_topic_b == 1:
				specific_topics = ['Definition of the magnetic field B','Existence and direction of force on charge moving in magnetic field']	#creates a list of specific topics
				specific_topic_b = int(random.randrange(0,2)) #gets a random number for first sub topic btwn 0-1
			elif sub_topic_b == 2:
				specific_topics = ['Properties of electromagnetic radiation (general properties only) - radiation velocity equals constant c in vacuo','Properties of electromagnetic radiation (general properties only) - radiation consists of oscillating electric and magnetic fields that are mutually perpendicular to each other and to the propagation direction','Classification of electromagnetic spectrum (radio, infrared, UV, X-rays, etc.)'] #creates a list of specific topics
				specific_topic_b = int(random.randrange(0,3)) #gets a random number for first sub topic btwn 0-2

		elif main_topic_b == 17:
			sub_topics = ['Circuit Elements','Circuits','Alternating Currents and Reactive Circuits'] #creates a list for the list of sub topics
			sub_topic_b = int(random.randrange(0,3)) #gets a random number for first sub topic btwn 0-2
			if sub_topic_b == 0:
				specific_topics = ['Current (I = Delta(Q)/Delta(t), sign conventions, units)','Battery, electromotive force, voltage','Terminal potential, internal resistance of battery','Resistance - Ohms law (I = V/R)','Resistance - resistors in series','Resistance - resistors in parallel','Resistance - resistivity (p = RA/L)','Capacitance - concept of parallel-plate capacitor','Capacitance - energy of charged capacitor','Capacitance - capacitors in series','Capacitance - capacitors in parallel','Capacitance - dielectrics','Discharge of a capacitor through a resistor','Conductivity theory'] #creates a list of specific topics
				specific_topic_b = int(random.randrange(0,14)) #gets a random number for first sub topic btwn 0-13
			elif sub_topic_b == 1:
				specific_topics = ['Power in circuits (P = VI, P = I2R)'] #creates a list of specific topics
				specific_topic_b = int(random.randrange(0,1)) #gets a random number for first sub topic btwn 0-0
			elif sub_topic_b == 2:
				specific_topics = ['Root-mean-square current','Root-mean-square voltage'] #creates a list of specific topics
				specific_topic_b = int(random.randrange(0,2)) #gets a random number for first sub topic btwn 0-1

		elif main_topic_b == 18:
			sub_topics = ['Light (Electromagnetic Radiation)','Geometrical Optics'] #creates a list for the list of sub topics
			sub_topic_b = int(random.randrange(0,2)) #gets a random number for first sub topic btwn 0-1
			if sub_topic_b == 0:
				specific_topics = ['Concept of interference, Youngs double-slit experiment','Thin films, diffraction grating, single-slit diffraction','Other diffraction phenomena, X-ray diffraction','Polarization of light','Doppler effect (moving light source or observer)','Visual spectrum, color - lasers','Visual spectrum, color - energy'] #creates a list of specific topics
				specific_topic_b = int(random.randrange(0,7)) #gets a random number for first sub topic btwn 0-6
			elif sub_topic_b == 1:
				specific_topics = ['Reflection from plane surface (angle of incidence equals angle of reflection)','Refraction, refractive index n, Snells law','Dispersion (change of index of refraction with wavelength)','Conditions for total internal reflection','Spherical mirrors - mirror curvature, radius, focal length','Spherical mirrors - use of formula (1/p) + (1/q) = 1/f with sign conventions','Spherical mirrors - real and virtual images','Thin lenses - converging and diverging lenses, focal length','Thin lenses - use of formula (1/p) + (1/q) = 1/f with sign conventions','Thin lenses - real and virtual images','Thin lenses - lens strength, diopters','Thin lenses - lens aberration','Combination of lenses','Ray tracing','Optical instruments']	#creates a list of specific topics
				specific_topic_b = int(random.randrange(0,15)) #gets a random number for first sub topic btwn 0-14

		elif main_topic_b == 19:
			sub_topics = ['Atomic Structure and Spectra','Atomic Nucleus'] #creates a list for the list of sub topics
			sub_topic_b = int(random.randrange(0,2)) #gets a random number for first sub topic btwn 0-1
			if sub_topic_b == 0:
				specific_topics = ['Emission spectrum of hydrogen (Bohr model)','Atomic Energy Levels - quantized energy levels for electrons','Atomic Energy Levels - calculation of energy emitted or absorbed when an electron changes energy levels'] #creates a list of specific topics
				specific_topic_b = int(random.randrange(0,3)) #gets a random number for first sub topic btwn 0-2
			elif sub_topic_b == 1:
				specific_topics = ['Atomic number, atomic weight','Neutrons, protons, isotopes','Nuclear forces','Radioactive decay (alpha, beta, gamma, half-life, stability, exponential decay, semilog plots)','General nature of fission','General nature of fusion','Mass deficit, energy liberated, binding energy']#creates a list of specific topics
				specific_topic_b = int(random.randrange(0,7)) #gets a random number for first sub topic btwn 0-6


		#Print out topics to screen.
		limit = limit + 1 #add one to while loop counter varibale 
		print "Topic ", limit, ":"
		B1 = main_topic_b #calls and stores the number value for topic
		B2 = sub_topic_b #calls and stores the number value for topic
		B3 = specific_topic_b #calls and stores the number value for topic
		print main_topics[B1]
		print sub_topics[B2]
		print specific_topics[B3]
		print ""

	
	x = int(raw_input("Enter the number 1 if you wish to pick a new set of topics, or press any other key to exit the program. ")) #promts the user to choose a list

else:
	print "Program has terminated from an incorrect value entered."

